// -- MainWindow.h

#ifndef MainWindow_by_Alma_H__
#define MainWindow_by_Alma_H__

#include <QtGui>

class vtkImageData;
class ctkVTKRenderView;
class vtkImageResliceMapper;
class vtkImageSlice;
class Scene;

enum Axes {Axial = 0, Sagittal, Coronal, View3D};

class MainWindow : public QMainWindow
{
	Q_OBJECT

	public: 	
		MainWindow(QWidget* parent = 0);
	protected:
		void InitScene();
		void SetupGui();
		void SetupMenu();
		void InitPluginSystem();

		Scene*	d_scene;

};

#endif // MainWindow_by_Alma_H__